MojoX::Log::Report(3pm)

NAME
MojoX::Log::Report - divert log messages into Log::Report

INHERITANCE
 MojoX::Log::Report
   is a Mojo::Log

SYNOPSIS
  use MojoX::Log::Report;
  my $log = MojoX::Log::Report->new(%options);
  $app->log($log);  # install logger in the Mojo::App

DESCRIPTION
[Included since Log::Report v1.00] Mojo likes to log messages directly into a file, by default. Log::Report constructs a Log::Report::Exception object first.

Be aware that this extension does catch the messages to be logged, but that the dispatching of the error follows a different route now. For instance, you cannot use $ENV{MOJO_LOG_LEVEL} to control the output level, but you need to use Log::Report::dispatcher() action "mode".

Mojo defines five "levels" of messages, which map onto Log::Report's reasons this way:

  debug  TRACE
  info   INFO
  warn   WARNING
  error  ERROR
  fatal  ALERT

METHODS

  Constructors

$class->new(%options)
    Inherited %options "path" and "level" are ignored.

SEE ALSO
This module is part of Log-Report version 1.46, built on June 16, 2026. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2007-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.